<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_gravity="center"
    android:background="@color/login_bk_color"
    android:focusableInTouchMode="true"
    android:gravity="center"
    tools:context=".activities.RegisterActivity">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_alignParentTop="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="30dp"
            android:orientation="vertical"
            android:padding="20dp">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                    style="@style/viewParent.headerText.NoMode"
                    android:layout_alignParentLeft="true"
                    android:layout_centerVertical="true"
                    android:text="Here’s\nyour first\nstep with \nus! "
                    android:textColor="@color/black" />

                <TextView
                    android:id="@+id/wish"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="120sp"
                    android:layout_marginTop="20sp"
                    android:text="Wish"
                    android:textColor="@color/yellow"
                    android:textSize="30dp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/ur"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20sp"
                    android:layout_toEndOf="@+id/wish"
                    android:layout_toRightOf="@+id/wish"
                    android:text="Ur"
                    android:textColor="@color/colorGreen"
                    android:textSize="30sp" />

                <TextView
                    android:id="@+id/gift"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20sp"
                    android:layout_toEndOf="@+id/ur"
                    android:layout_toRightOf="@+id/ur"
                    android:text="Gift"
                    android:textColor="@color/colorRed"
                    android:textSize="30sp" />

                <ImageView
                    android:layout_width="60dp"
                    android:layout_height="122dp"
                    android:layout_alignParentTop="true"
                    android:layout_alignParentRight="true"
                    android:layout_marginStart="21dp"
                    android:layout_marginLeft="21dp"
                    android:layout_marginTop="-20dp"
                    android:layout_marginRight="12dp"
                    android:layout_toEndOf="@+id/gift"
                    android:layout_toRightOf="@+id/gift"
                    android:src="@drawable/cad" />
            </RelativeLayout>

            <com.google.android.material.card.MaterialCardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:background="@color/whiteTextColor"
                app:cardCornerRadius="10dp">

                <LinearLayout
                    android:id="@+id/name_signup"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:orientation="vertical">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/textInputName"
                        style="@style/parent"
                        android:layout_marginTop="@dimen/loginViewsMargin">

                        <EditText
                            style="?android:attr/listSeparatorTextViewStyle"
                           android:textSize="30dp"
                            android:id="@+id/editTextName"
                            android:hint="Name"
                            android:inputType="textPersonName"
                            android:maxLines="1" />
                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/textInputEmail"
                        style="@style/parent"
                        android:layout_marginTop="@dimen/loginViewsMargin">

                        <EditText
                            style="?android:attr/listSeparatorTextViewStyle"
                            android:textSize="30dp"
                            android:id="@+id/email_signin"
                            android:hint="@string/email"
                            android:inputType="textEmailAddress"
                            android:maxLines="1" />
                    </com.google.android.material.textfield.TextInputLayout>


                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/activity_horizontal_margin"
                        app:counterOverflowTextAppearance="@style/CounterOverFlow"
                        app:hintTextAppearance="@style/HintText"
                        app:passwordToggleEnabled="true"
                        android:maxLines="1">

                        <com.google.android.material.textfield.TextInputEditText
                            android:id="@+id/password_signup"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="@string/password"
                            style="?android:attr/listSeparatorTextViewStyle"
                            android:textSize="30dp"
                            android:inputType="textPassword" />

                    </com.google.android.material.textfield.TextInputLayout>


                    <com.google.android.material.textfield.TextInputLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="Password Visibility Toggle Tint"
                        android:inputType="textPassword" />

                    <br.com.simplepass.loading_button_lib.customViews.CircularProgressButton
                        android:id="@+id/cirRegisterButton"
                        style="@style/loginButton"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="@dimen/loginViewsMargin"
                        android:text="Register"
                        app:initialCornerAngle="27dp"
                        app:spinning_bar_color="#FFF"
                        app:spinning_bar_padding="6dp"
                        app:spinning_bar_width="4dp" />

                    <TextView
                        style="@style/parent"
                        android:layout_marginTop="@dimen/loginViewsMargin"
                        android:onClick="onLoginClick"
                        android:text="Already have an account?"
                        android:textAlignment="center"
                        android:textColor="@color/themeColor"
                        android:textSize="18sp"
                        android:textStyle="bold" />

                </LinearLayout>
            </com.google.android.material.card.MaterialCardView>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:gravity="center"
                android:weightSum="12">

                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:layout_weight="3"
                    android:background="@color/whiteTextColor" />

                <TextView
                    style="@style/viewParent.headerText.NoMode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="6"
                    android:text="Use other Methods"
                    android:textAlignment="center"
                    android:textColor="@color/whiteTextColor"
                    android:textSize="12sp" />

                <View
                    android:layout_width="0dp"
                    android:layout_height="1dp"
                    android:layout_weight="3"
                    android:background="@color/whiteTextColor" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center"
                android:orientation="horizontal">


                <com.google.android.gms.common.SignInButton
                    android:id="@+id/google_sign_in"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentStart="true"
                    android:layout_alignParentBottom="true"
                    android:layout_marginBottom="110dp" />

            </RelativeLayout>


        </LinearLayout>
    </ScrollView>

    <View
        android:layout_width="11dp"
        android:layout_height="match_parent"
        android:layout_alignParentTop="true"
        android:layout_alignParentRight="true"
        android:layout_marginTop="20dp"
        android:background="@drawable/ic_side_bg" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentLeft="true"
        android:layout_alignParentBottom="true"
        android:layout_marginRight="11dp"
        android:layout_marginBottom="30dp"
        android:adjustViewBounds="false"
        android:onClick="onLoginClick"
        android:src="@drawable/ic_back_img" />
</RelativeLayout>